Package com.independentsoft.office.odf

# Class TextDocumentBody

java.lang.Object
com.independentsoft.office.odf.TextDocumentBody

All Implemented Interfaces:
  `IContentElement`

public class TextDocumentBody extends Object implements IContentElement
The Class TextDocumentBody.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextDocumentBody()`
  Instantiates a new text document body.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Change change)`
  Adds the.
  `void`
  `add​(ChangeEnd changeEnd)`
  Adds the.
  `void`
  `add​(ChangeStart changeStart)`
  Adds the.
  `void`
  `add​(Shape shape)`
  Adds the.
  `void`
  `add​(Heading heading)`
  Adds the.
  `void`
  `add​(IndexOfIllustrations index)`
  Adds the.
  `void`
  `add​(ITextContent textContent)`
  Adds the.
  `void`
  `add​(List list)`
  Adds the.
  `void`
  `add​(Paragraph paragraph)`
  Adds the.
  `void`
  `add​(Section section)`
  Adds the.
  `void`
  `add​(SoftPageBreak softPageBreak)`
  Adds the.
  `void`
  `add​(Table table)`
  Adds the.
  `void`
  `add​(TableOfContents toc)`
  Adds the.
  `TextDocumentBody`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<ITextContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `boolean`
  `isGlobal()`
  Checks if is global.
  `void`
  `setGlobal​(boolean global)`
  Sets the global.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setUseSoftPageBreaks​(boolean useSoftPageBreaks)`
  Sets the use soft page breaks.
  `String`
  `toString()`
  Converts the value of the current TextDocumentBody object to its equivalent string representation.
  `boolean`
  `useSoftPageBreaks()`
  Use soft page breaks.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextDocumentBody

    public TextDocumentBody()
    Instantiates a new text document body.

- ## Method Details

  - ### add

    public void add​(Change change)
    Adds the.
    Parameters:
      `change` - the change

  - ### add

    public void add​(ChangeEnd changeEnd)
    Adds the.
    Parameters:
      `changeEnd` - the change end

  - ### add

    public void add​(ChangeStart changeStart)
    Adds the.
    Parameters:
      `changeStart` - the change start

  - ### add

    public void add​(Shape shape)
    Adds the.
    Parameters:
      `shape` - the shape

  - ### add

    public void add​(IndexOfIllustrations index)
    Adds the.
    Parameters:
      `index` - the index

  - ### add

    public void add​(Heading heading)
    Adds the.
    Parameters:
      `heading` - the heading

  - ### add

    public void add​(List list)
    Adds the.
    Parameters:
      `list` - the list

  - ### add

    public void add​(Paragraph paragraph)
    Adds the.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Section section)
    Adds the.
    Parameters:
      `section` - the section

  - ### add

    public void add​(SoftPageBreak softPageBreak)
    Adds the.
    Parameters:
      `softPageBreak` - the soft page break

  - ### add

    public void add​(Table table)
    Adds the.
    Parameters:
      `table` - the table

  - ### add

    public void add​(TableOfContents toc)
    Adds the.
    Parameters:
      `toc` - the toc

  - ### add

    public void add​(ITextContent textContent)
    Adds the.
    Parameters:
      `textContent` - the text content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public TextDocumentBody clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TextDocumentBody object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<ITextContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### isGlobal

    public boolean isGlobal()
    Checks if is global.
    Returns:
      true, if is global

  - ### setGlobal

    public void setGlobal​(boolean global)
    Sets the global.
    Parameters:
      `global` - the new global

  - ### useSoftPageBreaks

    public boolean useSoftPageBreaks()
    Use soft page breaks.
    Returns:
      true, if successful

  - ### setUseSoftPageBreaks

    public void setUseSoftPageBreaks​(boolean useSoftPageBreaks)
    Sets the use soft page breaks.
    Parameters:
      `useSoftPageBreaks` - the new use soft page breaks